# 实现学生成绩管理系统

2023年4月17日

董函铄 胡煜男 于博 袁楷昊

## 项目简介

本系统是程序设计与问题求解课程设计项目，是为教师提供管理班级成绩的工具，该系统可以实现的对学生的成绩进行增、删、改、查、信息保存和信息导入等基本功能，以及对学生成绩排序和分段的扩展功能，有利于对学生成绩管理。项目采用 C 语言编程实现，在 VS Code 集成开发环境（IDE）中用 GCC 进行编译。系统采用模块化设计，程序结构清晰，采用菜单驱动的命令行界面，操作便捷，能够用 CSV 格式读取和保存数据，通用性强，能够用图表展示数据，直观清楚。

下载地址：https://code.educoder.net/plebkff6w/text3/tree

项目开发过程中采用 Kanban（看板）进行任务管理和分工协作，并使用 Git 对程序代码和文档进行版
本管理。任务分工情况如下：

|  任务                       |   设计   |  开发    |   测试  |  文档  |
|---|---|---|---|---|
|  C1-C3  菜单驱动的用户界面   |  董函铄  |  董函铄  |  胡煜男 |   董函铄  |
|  C4 添加库存记录            |   胡煜男  |  胡煜男  | 于博  |  胡煜男  |
|  C5: 查询库存记录           |   于博 |  于博  | 袁楷昊  |  于博  |
|  C6: 打印库存列表           |   袁楷昊   |  袁楷昊   | 董函铄    |  袁楷昊   |
|  C7: 修改库存记录           |  董函铄   |  董函铄  | 于博  |  董函铄  |
|  C8: 删除库存记录           |  胡煜男   |  胡煜男  | 袁楷昊  |  胡煜男|
|  C9: 库存记录排序           |  于博   |  于博  | 董函铄  |  于博 |
|  C10: 从文件中读取库存记录   |  袁楷昊    |  袁楷昊    | 胡煜男   |   袁楷昊 |
|  C11: 将库存保存保存到文件   |  董函铄  |  于博  | 胡煜男  |   董函铄 |
|  C12: 以图表方式显示库存记录 |  董函铄  |  袁楷昊  | 于博  |   胡煜男 |
  
每个成员的工作量（百分比）：

|  董函铄  |  胡煜男  |  于博  | 袁楷昊  |
|---|---|---|---|
|    25    |   25    |    25    |   25    |
  
## 关于实现学生成绩管理系统

设计一个学生成绩管理系统，要求采用命令行菜单界面进行交互，具备读取、保存、打印、查询、修
改、插入、删除和排序等基本功能，能够以表格和图表形式展示数据，采用 CSV 格式保存数据。

系统的功能性需求：

- 数据的读取、保存、打印、查询、修改、插入、删除、排序和图表展示。

系统的非功能性需求：

- 菜单驱动的命令行交互界面。

## 需求分析

分析系统的功能需求和界面需求，编制用户手册如下。
#### C4: 添加库存记录

选择菜单命令 `5`，提示输入学号，若该学生不存在，则继续输入学号、姓名、成绩，添加学号，并提示完成；若学号已存在，则提示学号已存在，并结束。

```
请选择：5
输入学号：101
输入姓名：小米
输入成绩：80
学生 101 已添加

1 读取 | 2 保存 | 3 打印 | 4 查询 | 5 添加
6 修改 | 7 删除 | 8 排序 | 9 图表 | 0 退出

请选择：5
输入学号：101
学号已存在.
```